Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common.tourguide
Class TourGuideData

    java.lang.Object
      |
      +--examples.e2e.common.tourguide.TourGuideData

public class TourGuideData
extends java.lang.Object
implements java.io.Serializable

This class is used to store state data for a particular instance of the Tour Guide portlet.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `codeFile` The current JSP source which should be displayed
`protected java.lang.String` | `lastOption` The last maximized view of the Tour Guide the user selected
`protected java.lang.String` | `state` The current "content state" that the Tour Guide should be displaying

Constructor Summary
`TourGuideData()`

Method Summary
`java.lang.String` | `getCodeFile()` Return the current JSP source file to be displayed
`java.lang.String` | `getLastOption()` Return the last maximized view the user selected
`java.lang.String` | `getState()` Return the current "content state" of the Tour Guide
`void` | `setCodeFile(java.lang.String newCodeFile)` Set the current JSP source file to be displayed
`void` | `setLastOption(java.lang.String newLastOption)` Set the last maximized view the user selected
`void` | `setState(java.lang.String newState)` Set the current "content state" of the Tour Guide

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codeFile

    protected java.lang.String codeFile

  The current JSP source which should be displayed

### lastOption

    protected java.lang.String lastOption

  The last maximized view of the Tour Guide the user selected

### state

    protected java.lang.String state

  The current "content state" that the Tour Guide should be displaying

Constructor Detail

### TourGuideData

    public TourGuideData()

Method Detail

### getCodeFile

    public java.lang.String getCodeFile()

  Return the current JSP source file to be displayed

### getLastOption

    public java.lang.String getLastOption()

  Return the last maximized view the user selected

### getState

    public java.lang.String getState()

  Return the current "content state" of the Tour Guide

### setCodeFile

    public void setCodeFile(java.lang.String newCodeFile)

  Set the current JSP source file to be displayed

### setLastOption

    public void setLastOption(java.lang.String newLastOption)

  Set the last maximized view the user selected

### setState

    public void setState(java.lang.String newState)

  Set the current "content state" of the Tour Guide

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved